Bug 861233 - Cannot log in to Conductor on IE8 or IE9
Cannot log in to Conductor on IE8 or IE9
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
Unspecified Windows
high Severity medium
: beta5
: ---
Assigned To: Brian McLaughlin
: Triaged
: 863260 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2012-09-27 17:33 EDT by Ronelle Landy
Modified: 2012-10-11 14:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-10-11 14:44:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Log in with user that does not exist (203.96 KB, image/png)
2012-09-27 17:34 EDT, Ronelle Landy
no flags Details
Browser stays on /login page (200.73 KB, image/png)
2012-09-27 17:34 EDT, Ronelle Landy
no flags Details

  None (edit)
Description Ronelle Landy 2012-09-27 17:33:20 EDT
Description of problem:

So this looks like a complete return to the issues logged here: https://bugzilla.redhat.com/show_bug.cgi?id=723333 ... symptoms are identical. 

It appears that a user can't log in on IE8 (or IE9) but Conductor looks to be processing something when a user clicks the 'Login' button, but the screen view never progresses.

See the attached screenshots: For a 'false login' ie: a non-existant user, Conductor returns the correct message (first screenshot) but for the admin login (with correct password), the browser just stays on the login page (second screenshot)

Version-Release number of selected component (if applicable):

>> rpm -qa |grep aeolus

How reproducible:
every time Dave or I tried on IE8 or IE9

Steps to Reproduce:
1. Install conductor
2. Access https://server/conductor from IE8 or IE9
3. Try to log in with a valid username and password
Actual results:
Nothing happens - the browser stays on the /login page

Expected results:
That the browser shows the 'Monitor' or other entry page within the Conductor app. 

Additional info:

It appears that it worked to log in to Conductor on IE8 at some point - because Matt Wagner succeeded in logging other BZs that required him to get past log in. It was while trying to verify those logged BZs that stumbled across the log in issue again.
Comment 1 Ronelle Landy 2012-09-27 17:34:12 EDT
Created attachment 618310 [details]
Log in with user that does not exist
Comment 2 Ronelle Landy 2012-09-27 17:34:45 EDT
Created attachment 618311 [details]
Browser stays on /login page
Comment 4 Brian McLaughlin 2012-09-27 20:46:34 EDT
I have not been able to reproduce this behavior in IE8/9 either upstream or downstream.  My settings in each browser are the default settings.

Please let me know if this is still reproducible.
Comment 5 Ronelle Landy 2012-09-28 09:34:57 EDT
Dave and I both tried a different conductor install - on IE8 and IE9. It's still reproducible AFAICT.

Type in the user name and password for the standard admin user, you see the IE downloading something (you see text and activity on the progress bar and the little circle turning) but the browser never progresses off the login screen and the fields for username and password are cleared.
Comment 6 Shveta 2012-10-04 16:56:35 EDT
*** Bug 863260 has been marked as a duplicate of this bug. ***
Comment 7 Shveta 2012-10-04 16:59:29 EDT
Reproduced this bug 
IE 8 
Version: 8.0.7600.16385
Comment 8 Brian McLaughlin 2012-10-04 17:12:13 EDT
Ronelle and Dave, could you provide the version number of the IE8/9 that you're testing with?

I'm using:
IE8 Version: 8.0.6001.18702 (on Windows XP Professional x64 Edition)
IE9 Version: 9.0.8112.16421 (on Windows 7 x64)

I will be trying to reproduce the issue in Windows XP Professional standard (32 bit edition) tonight/tomorrow morning after downloading it.  I've run into IE issues that were version dependent before and would like to verify if this is a similar situation.  I will be attempting to reproduce this BZ with each Windows Update to IE8 until I'm running the latest version and I'll document the results here.
Comment 9 Ronelle Landy 2012-10-04 17:28:55 EDT
I tested Conductor on:

 - Windows 7 Professional
 - IE8 Version:8.0.7600.16385
Comment 10 Brian McLaughlin 2012-10-08 17:57:52 EDT
I still have not been able to reproduce this to the point where I cannot log into Conductor (same OS, same browser version with varying amounts of patches).  I've stepped through all of the updates on both Windows 7 and Windows XP and have been able to get the act of logging in to take nearly two minutes from when I click the login button though.

I've done that by letting a VM or two idle in the background and soak up nearly all of the resources on my machine.  Then when I click the Login button the progress spinner goes, but the browser does not load anything until resources are freed up.  I'm not sure if this could be be what is being reproduced on hardware that is much more taxed than my laptop.

Tested in:
8.0.6001.18702 (XP Professional x64)
8.0.7600.16385 (Windows 7, two IE8 updates)
8.0.7600.16385 (Windows 7, one IE8 update)
8.0.7600.16385 (Windows 7, no updates)
Comment 11 Dave Johnson 2012-10-11 14:44:29 EDT
This one is crazy, not sure what is going on but somehow are test boxes seem screwed up.  When I reinstalled a fresh windows 7 os, everything works as expected.  We are continuing to feel out IE browser support but closing this for now as not a bug.... we have wasted enough time on it already.

Note You need to log in before you can comment on or make changes to this bug.